<?php
header("content-type:text/html; charset=utf-8");
class Gateway_Ipasspayhost_Block_Redirect extends Mage_Core_Block_Template {
    protected $_order;
    public function getOrder() {
        if ($this->_order == null) {
            $session = Mage::getSingleton('checkout/session');
            $this->_order = Mage::getModel('sales/order');
            $this->_order->loadByIncrementId($session->getLastRealOrderId());
        }
        return $this->_order;
    }
    protected function _toHtml() {
        $media_url = Mage::getBaseUrl('media');
        $standard = Mage::getModel('ipasspayhost/payment');

        // execute the page and then jump.
        $htmldiv = '<style type="text/css">#t01 {margin: auto;margin-top: 150px;text-align: center;border: 1px solid #a1a1a1;padding: 10px 40px;width: 500px;height: 110px;border-radius: 6px;-moz-border-radius: 6px;box-shadow: 3px 3px 3px #888888;border-radius: 6px;-moz-border-radius: 6px;box-shadow: 3px 3px 3px #888888;-moz-box-shadow: 3px 3px 3px #888888;}</style>';
        $htmldiv .= '<div id="t01"><br /><br /><img src="' . $media_url . '/ipasspayhost_logo/loading.gif" /><br /><br /><span>Please wait,transaction processing ...</span></div>';
        echo $htmldiv;
        //$strValue = $standard->setOrder($this->getOrder())->getStandardCheckoutFormFields();
        $curlPost = $standard->setOrder($this->getOrder())->getStandardCheckoutFormFields();
        $gateway_url = $standard->getIpasspayhostUrl(); // Payment gateway url
        $curlPost = http_build_query($curlPost);
        $gateway_host_url = $gateway_url."?".$curlPost;
        header("Location: $gateway_host_url");
        exit;

    }

    protected function curlSend($process_gateway, $data_arr, $type = 1) {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $process_gateway);
        curl_setopt($ch, CURLOPT_POST, $type);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data_arr));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        $response = curl_exec($ch);
        curl_close($ch);
        return $response;
    }
}
?>
